/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring;

import java.io.Serializable;

/**
 * A result for a serie: date + value.
 * @author Guillaume Renault
 */
public class EventData implements Serializable {

    /**
     * Timestamp
     */
    private long timestamp;

    /**
     * Value of the event.
     */
    private String value = "";

    /**
     * Series Ident
     */
    private String serid = "";

    /**
     * Default constructor for Granite DS.
     */
    public EventData() {
    }

    /**
     * create an instance that contains the timestamp and the value
     * @param timestamp
     * @param value
     */
    public EventData(final String serid, final long timestamp, final String value) {
        this.serid = serid;
        this.timestamp = timestamp;
        this.value = value;
    }

    /**
     * @param value the value to set
     */
    public void setValue(final String value) {
        this.value = value;
    }

    /**
     * @return the value
     */
    public String getValue() {
        return value;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public String getSerid() {
        return serid;
    }

    public void setSerid(String serid) {
        this.serid = serid;
    }
}
